<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:16 CST 2018 -->
<title>EngineGL</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EngineGL";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/EngineGL.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../projectx/engine/Handler.html" title="class in projectx.engine"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?projectx/engine/EngineGL.html" target="_top">Frames</a></li>
<li><a href="EngineGL.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">projectx.engine</div>
<h2 title="Class EngineGL" class="title">Class EngineGL</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>projectx.engine.EngineGL</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Runnable.html?is-external=true" title="class or interface in java.lang">Runnable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">EngineGL</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Runnable.html?is-external=true" title="class or interface in java.lang">Runnable</a></pre>
<div class="block">Holds all of the base code for the game.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kenneth Lange</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../projectx/game/client/DataProtocol.html" title="class in projectx.game.client">DataProtocol</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#data_protocol">data_protocol</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#gameState">gameState</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#handler">handler</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#mapBuilderMenuState">mapBuilderMenuState</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#mapBuilderState">mapBuilderState</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#menuState">menuState</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#multiplayerMenuState">multiplayerMenuState</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#title">title</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#EngineGL-java.lang.String-int-">EngineGL</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title,
        int&nbsp;width)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#exit--">exit</a></span>()</code>
<div class="block">Closes the nessisary processes</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../projectx/game/client/DataProtocol.html" title="class in projectx.game.client">DataProtocol</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getDataProtocol--">getDataProtocol</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../projectx/engine/glgfx/GameCamera.html" title="class in projectx.engine.glgfx">GameCamera</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getGameCamera--">getGameCamera</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getGameState--">getGameState</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getHeight--">getHeight</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../projectx/engine/input/Input.html" title="class in projectx.engine.input">Input</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getKeyboard--">getKeyboard</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getMapBuilderMenuState--">getMapBuilderMenuState</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getMapBuilderState--">getMapBuilderState</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getMenuState--">getMenuState</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.lwjgl.input.Mouse</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getMouse--">getMouse</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getMultiplayerMenuState--">getMultiplayerMenuState</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getState--">getState</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getTerminal--">getTerminal</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#getWidth--">getWidth</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#run--">run</a></span>()</code>
<div class="block">This method runs the engine and sets a base for how often it can update and render.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#setGameState-projectx.engine.state.State-">setGameState</a></span>(<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;gameState)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#setMapBuilderMenuState-projectx.engine.state.State-">setMapBuilderMenuState</a></span>(<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;mapBuilderMenuState)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#setMapBuilderState-projectx.engine.state.State-">setMapBuilderState</a></span>(<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;mapBuilderState)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#setMenuState-projectx.engine.state.State-">setMenuState</a></span>(<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;menuState)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../projectx/engine/EngineGL.html#setMultiplayerMenuState-projectx.engine.state.State-">setMultiplayerMenuState</a></span>(<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;multiplayerMenuState)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="title">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>title</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> title</pre>
</li>
</ul>
<a name="gameState">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gameState</h4>
<pre>public&nbsp;<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a> gameState</pre>
</li>
</ul>
<a name="menuState">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>menuState</h4>
<pre>public&nbsp;<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a> menuState</pre>
</li>
</ul>
<a name="multiplayerMenuState">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>multiplayerMenuState</h4>
<pre>public&nbsp;<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a> multiplayerMenuState</pre>
</li>
</ul>
<a name="mapBuilderState">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mapBuilderState</h4>
<pre>public&nbsp;<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a> mapBuilderState</pre>
</li>
</ul>
<a name="mapBuilderMenuState">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mapBuilderMenuState</h4>
<pre>public&nbsp;<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a> mapBuilderMenuState</pre>
</li>
</ul>
<a name="handler">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handler</h4>
<pre>public&nbsp;<a href="../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> handler</pre>
</li>
</ul>
<a name="data_protocol">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>data_protocol</h4>
<pre>public&nbsp;<a href="../../projectx/game/client/DataProtocol.html" title="class in projectx.game.client">DataProtocol</a> data_protocol</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="EngineGL-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EngineGL</h4>
<pre>public&nbsp;EngineGL(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title,
                int&nbsp;width)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="run--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>run</h4>
<pre>public&nbsp;void&nbsp;run()</pre>
<div class="block">This method runs the engine and sets a base for how often it can update and render.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Runnable.html?is-external=true#run--" title="class or interface in java.lang">run</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Runnable.html?is-external=true" title="class or interface in java.lang">Runnable</a></code></dd>
</dl>
</li>
</ul>
<a name="getWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWidth</h4>
<pre>public&nbsp;int&nbsp;getWidth()</pre>
</li>
</ul>
<a name="getHeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeight</h4>
<pre>public&nbsp;int&nbsp;getHeight()</pre>
</li>
</ul>
<a name="getGameCamera--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGameCamera</h4>
<pre>public&nbsp;<a href="../../projectx/engine/glgfx/GameCamera.html" title="class in projectx.engine.glgfx">GameCamera</a>&nbsp;getGameCamera()</pre>
</li>
</ul>
<a name="getDataProtocol--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDataProtocol</h4>
<pre>public&nbsp;<a href="../../projectx/game/client/DataProtocol.html" title="class in projectx.game.client">DataProtocol</a>&nbsp;getDataProtocol()</pre>
</li>
</ul>
<a name="getState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre>public&nbsp;<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;getState()</pre>
</li>
</ul>
<a name="getGameState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGameState</h4>
<pre>public&nbsp;<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;getGameState()</pre>
</li>
</ul>
<a name="setGameState-projectx.engine.state.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGameState</h4>
<pre>public&nbsp;void&nbsp;setGameState(<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;gameState)</pre>
</li>
</ul>
<a name="getMenuState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMenuState</h4>
<pre>public&nbsp;<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;getMenuState()</pre>
</li>
</ul>
<a name="setMenuState-projectx.engine.state.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMenuState</h4>
<pre>public&nbsp;void&nbsp;setMenuState(<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;menuState)</pre>
</li>
</ul>
<a name="getMultiplayerMenuState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMultiplayerMenuState</h4>
<pre>public&nbsp;<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;getMultiplayerMenuState()</pre>
</li>
</ul>
<a name="setMultiplayerMenuState-projectx.engine.state.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMultiplayerMenuState</h4>
<pre>public&nbsp;void&nbsp;setMultiplayerMenuState(<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;multiplayerMenuState)</pre>
</li>
</ul>
<a name="getMapBuilderState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapBuilderState</h4>
<pre>public&nbsp;<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;getMapBuilderState()</pre>
</li>
</ul>
<a name="setMapBuilderState-projectx.engine.state.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMapBuilderState</h4>
<pre>public&nbsp;void&nbsp;setMapBuilderState(<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;mapBuilderState)</pre>
</li>
</ul>
<a name="getMapBuilderMenuState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapBuilderMenuState</h4>
<pre>public&nbsp;<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;getMapBuilderMenuState()</pre>
</li>
</ul>
<a name="setMapBuilderMenuState-projectx.engine.state.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMapBuilderMenuState</h4>
<pre>public&nbsp;void&nbsp;setMapBuilderMenuState(<a href="../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;mapBuilderMenuState)</pre>
</li>
</ul>
<a name="exit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exit</h4>
<pre>public&nbsp;void&nbsp;exit()</pre>
<div class="block">Closes the nessisary processes</div>
</li>
</ul>
<a name="getKeyboard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKeyboard</h4>
<pre>public&nbsp;<a href="../../projectx/engine/input/Input.html" title="class in projectx.engine.input">Input</a>&nbsp;getKeyboard()</pre>
</li>
</ul>
<a name="getMouse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMouse</h4>
<pre>public&nbsp;org.lwjgl.input.Mouse&nbsp;getMouse()</pre>
</li>
</ul>
<a name="getTerminal--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTerminal</h4>
<pre>public&nbsp;<a href="../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;getTerminal()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/EngineGL.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../projectx/engine/Handler.html" title="class in projectx.engine"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?projectx/engine/EngineGL.html" target="_top">Frames</a></li>
<li><a href="EngineGL.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
